Admin
Moderation Action Create
Create a new moderation action such as a ban or content purge.
POST
Create a new moderation action such as a ban or content purge.
cookie
storyden-session<token>application/json- body
A moderation action to purge content created by a specific account.
action*"purge_account"Value in
"purge_account"account_id*IdentifierA unique identifier for this resource.
Format
xidinclude*array<>OK
response?AuditEventPropsapplication/jsoncurl -X POST 'https://example.com/api/admin/actions' \ -H 'Content-Type: application/json' \ -d '{ "action": "purge_account", "account_id": "string", "include": [ "threads" ]}'Example Response
{ "id": "string", "type": "thread_deleted", "timestamp": "2019-08-24T14:15:22Z", "enacted_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}Email Queue Retry POST
Manually retry a delivery for an email queue record. This is used for failed deliveries. This will create a new delivery attempt and update the email queue record accordingly.
O Auth Remote Connection Authorize POST
Start OAuth authorization code with PKCE for a remote OAuth connection and return the authorization URL to open in a browser.